=== debian/control ===
Source: ros-humble-object-recognition-msgs
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-shape-msgs, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/object_recognition
Standards-Version: 3.9.2

Package: ros-humble-object-recognition-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-shape-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Object_recognition_msgs contains the ROS message and the actionlib definition used in object_recognition_core
